Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sdk
Class SDKPlatform

`java.lang.Object
DatasourcePlatform
oracle.toplink.sdk.SDKPlatform`

Direct Known Subclasses:
  XMLPlatform

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.eis`

public class SDKPlatform
extends DatasourcePlatform

`SDKSequence` builds the queries for using sequence numbers. Subclasses will need to override the appropriate methods that build the platform-specific `Call`s.

Since:
  TOPLink/Java 3.0
See Also:
  Serialized Form

Constructor Summary
`SDKPlatform()` Deprecated. Default constructor.

Method Summary
`java.lang.String` | `getSequenceCounterFieldName()` Deprecated. use ((SDKSequence)getDefaultSequence()).getCounterFieldName() instead
`java.lang.String` | `getSequenceNameFieldName()` Deprecated. use ((SDKSequence)getDefaultSequence()).getNameFieldName() instead
`void` | `setSequenceCounterFieldName(java.lang.String sequenceCounterFieldName)` Deprecated. use ((SDKSequence)getDefaultSequence()).setCounterFieldName() instead
`void` | `setSequenceNameFieldName(java.lang.String sequenceNameFieldName)` Deprecated. use ((SDKSequence)getDefaultSequence()).setNameFieldName() instead

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDKPlatform

    public SDKPlatform()

  Deprecated.
  Default constructor. Initialize the new instance.

Method Detail

### getSequenceCounterFieldName

    public java.lang.String getSequenceCounterFieldName()

  Deprecated. use ((SDKSequence)getDefaultSequence()).getCounterFieldName() instead
  OBSOLETE: Return the name of the field holding the sequence counter.

### getSequenceNameFieldName

    public java.lang.String getSequenceNameFieldName()

  Deprecated. use ((SDKSequence)getDefaultSequence()).getNameFieldName() instead
  OBSOLETE: Return the name of the field holding the sequence name.

### setSequenceCounterFieldName

    public void setSequenceCounterFieldName(java.lang.String sequenceCounterFieldName)

  Deprecated. use ((SDKSequence)getDefaultSequence()).setCounterFieldName() instead
  OBSOLETE: Set the name of the field holding the sequence counter.

### setSequenceNameFieldName

    public void setSequenceNameFieldName(java.lang.String sequenceNameFieldName)

  Deprecated. use ((SDKSequence)getDefaultSequence()).setNameFieldName() instead
  OBSOLETE: Set the name of the field holding the sequence name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD